# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/timer/thead,c900-aclint-mtimer.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: ACLINT Machine-level Timer Device

maintainers:
  - Inochi Amaoto <inochiama@outlook.com>

properties:
  compatible:
    oneOf:
      - items:
          - enum:
              - sophgo,sg2042-aclint-mtimer
              - sophgo,sg2044-aclint-mtimer
          - const: thead,c900-aclint-mtimer
      - items:
          - enum:
              - anlogic,dr1v90-aclint-mtimer
          - const: nuclei,ux900-aclint-mtimer

  reg:
    items:
      - description: MTIMECMP Registers

  reg-names:
    items:
      - const: mtimecmp

  interrupts-extended:
    minItems: 1
    maxItems: 4095

additionalProperties: false

required:
  - compatible
  - reg
  - reg-names
  - interrupts-extended

examples:
  - |
    timer@ac000000 {
      compatible = "sophgo,sg2042-aclint-mtimer", "thead,c900-aclint-mtimer";
      interrupts-extended = <&cpu1intc 7>,
                            <&cpu2intc 7>,
                            <&cpu3intc 7>,
                            <&cpu4intc 7>;
      reg = <0xac000000 0x00010000>;
      reg-names = "mtimecmp";
    };
...
